# cashfree-lrs-client
CashFree LRS APIs (v2)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.11
- Package version: 1.0.11
- Build package: org.openapitools.codegen.languages.PythonNextgenClientCodegen
For more information, please visit [https://docs.cashfree.com](https://docs.cashfree.com)

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cashfree_lrs_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cashfree_lrs_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import cashfree_lrs_client
from cashfree_lrs_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://sandbox.cashfree.com/pg/lrs
# See configuration.py for a list of all supported configuration parameters.
configuration = cashfree_lrs_client.Configuration(
    host = "https://sandbox.cashfree.com/pg/lrs"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: X-Client-ID
configuration.api_key['X-Client-ID'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Client-ID'] = 'Bearer'

# Configure API key authorization: X-Client-Secret
configuration.api_key['X-Client-Secret'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Client-Secret'] = 'Bearer'

# Configure API key authorization: X-API-Version
configuration.api_key['X-API-Version'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-Version'] = 'Bearer'


# Enter a context with an instance of the API client
with cashfree_lrs_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = cashfree_lrs_client.LrsApi(api_client)
    files = None # List[bytearray] | Upload multiple document at a time. Accepted file type - .pdf. Maximum file size - 20 MB

    try:
        # Upload Documents in Bulk
        api_response = api_instance.bulk_documents_upload(files)
        print("The response of LrsApi->bulk_documents_upload:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling LrsApi->bulk_documents_upload: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://sandbox.cashfree.com/pg/lrs*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*LrsApi* | [**bulk_documents_upload**](docs/LrsApi.md#bulk_documents_upload) | **POST** /orders/documents/upload | Upload Documents in Bulk
*LrsApi* | [**create_beneficiary**](docs/LrsApi.md#create_beneficiary) | **POST** /beneficiaries | Create Beneficiary
*LrsApi* | [**create_order**](docs/LrsApi.md#create_order) | **POST** /orders | Create LRS Order
*LrsApi* | [**create_remitter**](docs/LrsApi.md#create_remitter) | **POST** /remitters | Create Remitter
*LrsApi* | [**fetch_forex_rate**](docs/LrsApi.md#fetch_forex_rate) | **POST** /fx-rate/details | Fetch FX Rate
*LrsApi* | [**process_order**](docs/LrsApi.md#process_order) | **POST** /orders/{order_id}/process | Process Order
*LrsApi* | [**setup_webhooks**](docs/LrsApi.md#setup_webhooks) | **POST** /webhooks | Setup Webhooks
*LrsApi* | [**upload_documents**](docs/LrsApi.md#upload_documents) | **POST** /orders/{order_id}/documents/upload | Upload Documents


## Documentation For Models

 - [BulkDocumentsUploadResponse](docs/BulkDocumentsUploadResponse.md)
 - [Country](docs/Country.md)
 - [CreateBeneficiaryRequest](docs/CreateBeneficiaryRequest.md)
 - [CreateOrderRequest](docs/CreateOrderRequest.md)
 - [CreateOrderResponse](docs/CreateOrderResponse.md)
 - [CreateRemitterRequest](docs/CreateRemitterRequest.md)
 - [Currency](docs/Currency.md)
 - [Document](docs/Document.md)
 - [Error](docs/Error.md)
 - [FetchForexRateRequest](docs/FetchForexRateRequest.md)
 - [FetchForexRateResponse](docs/FetchForexRateResponse.md)
 - [FetchForexRateResponseTcs](docs/FetchForexRateResponseTcs.md)
 - [Purpose](docs/Purpose.md)
 - [SetupWebhooksRequest](docs/SetupWebhooksRequest.md)
 - [SuccessMessage](docs/SuccessMessage.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="X-API-Version"></a>
### X-API-Version

- **Type**: API key
- **API key parameter name**: X-API-Version
- **Location**: HTTP header

<a id="X-Client-ID"></a>
### X-Client-ID

- **Type**: API key
- **API key parameter name**: X-Client-ID
- **Location**: HTTP header

<a id="X-Client-Secret"></a>
### X-Client-Secret

- **Type**: API key
- **API key parameter name**: X-Client-Secret
- **Location**: HTTP header


## Author

nextgenapi@cashfree.com


